Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884613 - Create Instance of Prometheus from operator returns blank page for non cluster-admin users
Summary: Create Instance of Prometheus from operator returns blank page for non cluste...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1901204 (view as bug list)
Depends On:
Blocks: 1885239
TreeView+ depends on / blocked
 
Reported: 2020-10-02 13:10 UTC by jooho lee
Modified: 2021-02-24 15:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Prometheus swagger definition contained a $ref property which could not be resolved. Consequence: A runtime error occurred on the Prometheus operand creation form Fix: Add 'definitions' property to schema returned by the 'definitionFor' helper function so that '$ref' can be resolved Result: Prometheus schema '$ref' resolves and no runtime error occurs
Clone Of:
: 1885228 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:22:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6821 0 None closed Bug 1884613: Fix runtime error for basic users creating Prometheus instance 2020-12-28 16:38:01 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:22:54 UTC

Description jooho lee 2020-10-02 13:10:50 UTC
Description of problem:
Normal user cannot create prometheus instances from the web console.


Version-Release number of selected component (if applicable):


How reproducible:
Always 

Steps to Reproduce:
OpenShift 4.5.6~4.5.11
1. Install Prometheus Operator from operator hub
2. Login to user account with non cluster-admin access in the project
3. Try to create an instance of prometheus CRD's in the web console (prometheus, servicemonitor, etc.)
4. Blank screen returned

Actual results:
Blank screen returned

Expected results:
It should show prometheus instance information.

Additional info:

The blank screen looks exactly the same from this bugzilla ticket(https://bugzilla.redhat.com/show_bug.cgi?id=1883679)

Comment 1 Jon Jackson 2020-10-02 18:37:48 UTC
This is unrelated to https://bugzilla.redhat.com/show_bug.cgi?id=1883679.

This is caused by unresolved $ref properties in the Prometheus swagger definition. Fix pending.

Comment 5 Yanping Zhang 2020-10-14 10:25:04 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.ci-2020-10-13-231404
Normal user created a project, then install Prometheus operator in project by cluster admin.
Normal user tried to create an instance of prometheus CRD's in the web console (prometheus, servicemonitor, etc.), creation succeeded, no blank page is shown.
The bug is fixed.

Comment 6 jooho lee 2020-10-19 13:24:51 UTC
Is there a bugzilla ticket to get backport of this fix for OCP 4.5 and 4.6?

Should I create a new one?

Comment 7 Jon Jackson 2020-10-19 14:13:45 UTC
(In reply to jooho lee from comment #6)
> Is there a bugzilla ticket to get backport of this fix for OCP 4.5 and 4.6?
> 
> Should I create a new one?

We already have backport bugs created and PR's open for them.

Comment 8 jooho lee 2020-10-20 16:46:38 UTC
(In reply to Jon Jackson from comment #7)
> (In reply to jooho lee from comment #6)
> > Is there a bugzilla ticket to get backport of this fix for OCP 4.5 and 4.6?
> > 
> > Should I create a new one?
> 
> We already have backport bugs created and PR's open for them.

Could you share the bugzilla number?

Comment 9 jooho lee 2020-10-20 16:55:31 UTC
no worries. I found.

4.5.x - 1885228
4.6.x - 1885239 

thx

Comment 10 Jon Jackson 2020-11-30 17:30:55 UTC
*** Bug 1901204 has been marked as a duplicate of this bug. ***

Comment 13 errata-xmlrpc 2021-02-24 15:22:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.